import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { NsAuthDropdown } from './';

export default {
    title: 'Components/NsAuthDropdown',
    component: NsAuthDropdown,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {},
    args: {
        signInRedirectLink: '/signIn',
        signUpRedirectLink: '/signUp',
        signInBtnText: 'Sign In',
        signUpLinkText: 'Sign up today!',
        signUpLinkPrefixText: 'New customer?',
        titleText: 'SIGN UP / SIGN IN',
        closeOnMouseLeave: true,
    },
} as ComponentMeta<typeof NsAuthDropdown>;

export const AuthDropdown: ComponentStory<typeof NsAuthDropdown> = (args) => <NsAuthDropdown {...args} />;
