import React from 'react';
import { render } from '@testing-library/react';
import { NsBanner } from './';

describe('Hero component', () => {
    it('renders banner image and title', () => {
        const childText = 'Welcome to My Website';
        const image = 'https://example.com/banner.jpg';
        const { getByAltText, getByText } = render(
            <NsBanner imageUrl={image} altText="Banner image">
                <h1>{childText}</h1>
            </NsBanner>
        );
        const childElement = getByText(childText);
        const imageElement = getByAltText('Banner image');
        expect(childElement).toBeInTheDocument();
        expect(imageElement).toBeInTheDocument();
    });
});
