/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsBanner.tsx
 * @description NsBanner component with a image background
 */

import React, { PropsWithChildren } from 'react';

import { NsBannerProps } from './types';
import { StyledBanner, StyledHeroText } from './NsBanner.styled';

const NsBanner = (props: PropsWithChildren<NsBannerProps>) => {
    const {
        children,
        imageUrl = '',
        altText = 'NsBanner',
        alignment = 'center',
        justify = 'start',
        className = '',
        additionalProps = {},
    } = props;

    return (
        <StyledBanner className={className}>
            <img src={imageUrl} alt={altText} id="bgImage" {...additionalProps} />
            <StyledHeroText $alignment={alignment} $justify={justify}>
                <div className="mx-14">{children}</div>
            </StyledHeroText>
        </StyledBanner>
    );
};

export default NsBanner;
