import type { StoryObj, Meta } from '@storybook/react';
import { NsBrandComponent } from './';
import { CenterStoryDecorator } from '../../stories/CenterStoryDecorator';

type ComponentType = typeof NsBrandComponent;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsBrandComponent',
    component: NsBrandComponent,
    decorators: [CenterStoryDecorator],
    argTypes: {
        size: { control: 'text', defaultValue: '100px' },
        variant: {
            control: 'select',
            options: ['stacked', 'horizontal', 'logomark', 'wordmark', 'poweredBy'],
        },
    },
    args: {
        size: '100px',
        variant: 'stacked',
    },
} as MetaStory;

export const Brand: Story = {};
