import React from 'react';
import { render } from '@testing-library/react';
import { NsBreadcrumb } from './';
import { ItemProps } from './types';

const breadcrumbItems: ItemProps[] = [
    { label: 'Home', href: '/', icon: 'home' },
    { label: 'Products', href: '/products' },
    { label: 'Shirts', href: '/products/shirts' },
    { label: 'Blue shirt', href: '/products/shirts/blue' },
];

describe('Breadcrumb', () => {
    it('renders breadcrumb items with navigation icons', () => {
        const { getByText } = render(<NsBreadcrumb items={breadcrumbItems} />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });
});
