/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsBanner.stories.tsx
 * @description NsBanner component.
 */

import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';

import Breadcrumb from './NsBreadcrumb';

export default {
    title: 'Components',
    component: Breadcrumb,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        iconVisibility: { control: 'boolean' },
    },
    args: {
        items: [
            { label: 'Home', href: 'home', icon: 'home' },
            { label: 'Call to action', href: '/products' },
            { label: 'Call to action', href: '/products/shirts' },
            { label: 'Product', href: '' },
        ],
        iconVisibility: false,
    },
} as ComponentMeta<typeof Breadcrumb>;

export const NsBreadcrumb: ComponentStory<typeof Breadcrumb> = (args) => <Breadcrumb {...args} />;
