import Card from '@mui/material/Card';
import { styled } from '@nuskin/foundation-theme';

type NsBgCardProps = {
    backgroundImageUrl: string;
};
const options = {
    shouldForwardProp: (propKey: string) => propKey !== 'backgroundImageUrl',
};
const Component = ({ backgroundImageUrl }: NsBgCardProps) => {
    const width = 256;
    return {
        backgroundImage: `url("${backgroundImageUrl}")`,
        backgroundSize: 'cover',
        backgroundPosition: 'center',
        height: width * 1.2,
        width,
    };
};
/*
This styled component shows the background image on a card
*/
const NsBgCard = styled(Card, options)<NsBgCardProps>(Component);
export default NsBgCard;
