import { PropsWithChildren } from 'react';
import { styled } from '@nuskin/foundation-theme';
import { Box } from '@mui/material';
// TODO: check if this can be updated with NsIcon
type IconWrapperProps = PropsWithChildren<{
    onClick(): void;
    className?: string;
}>;
const options = {};
const Wrapper = styled(
    Box,
    options
)(({ theme }) => {
    const strokeColor = theme.palette?.primary?.main ?? '#252525';
    return {
        display: 'flex',
        height: '20px',
        width: '20px',
        border: `2px solid ${strokeColor}`,
        borderRadius: '3px',
        cursor: 'pointer',
        padding: '10px',
    };
});
const IconWrapper = ({ children, onClick, className }: IconWrapperProps) => {
    return (
        <Wrapper component="span" className={className || ''} onClick={onClick}>
            {children}
        </Wrapper>
    );
};
export default IconWrapper;
