import { NsCartIcon } from './';
import { render } from '../../../test-utils';

describe('NsCartIcon', () => {
    it('renders Cart icon when item count is 0', () => {
        const { getByTestId } = render(<NsCartIcon itemCount={0} color="primary" size="large" />);
        const cartIcon = getByTestId('cart-icon');
        expect(cartIcon).toBeInTheDocument();
    });

    it('renders Cart Badge icon when item count is greater than 0', () => {
        const { getByTestId } = render(<NsCartIcon itemCount={5} color="primary" size="large" />);
        const cartBadgeIcon = getByTestId('cart-badge-icon');
        expect(cartBadgeIcon).toBeInTheDocument();
    });

    it('renders item count badge when item count is greater than 0', () => {
        const { getByTestId } = render(<NsCartIcon itemCount={5} color="primary" size="large" />);
        const itemCountBadge = getByTestId('item-count-badge');
        expect(itemCountBadge).toBeInTheDocument();
        expect(itemCountBadge.textContent).toBe('5');
    });
});
