import { NsIcon } from '../icon';
import { CartIconContainer, ItemCount } from './NsCartIcon.styled';
import { NsCartIconProps } from './types';

const NsCartIcon = ({ itemCount, size = 'large', color = 'primary' }: NsCartIconProps) => {
    return (
        <CartIconContainer>
            {itemCount > 0 ? (
                <NsIcon testId="cart-badge-icon" name="cartBadge" color={color} size={size} />
            ) : (
                <NsIcon testId="cart-icon" name="cart" color={color} size={size} />
            )}
            {itemCount > 0 && (
                <ItemCount data-testid="item-count-badge" color={color} size={size}>
                    {itemCount}
                </ItemCount>
            )}
        </CartIconContainer>
    );
};

export default NsCartIcon;
