import React from 'react';
import { ListItem, ListItemContainer } from './NsDropdown.styled';
import { DropdownOptionProps } from './types';

export const NsDropdownOption: React.FC<DropdownOptionProps> = ({
    value,
    label,
    onSelect,
    selectedValue,
    showListDivider = true,
}) => {
    const handleClick = () => {
        if (onSelect && typeof onSelect === 'function') {
            onSelect(value);
        }
    };

    return (
        <ListItemContainer data-testid={`option-${value}`} showListDivider={showListDivider} onClick={handleClick}>
            <ListItem isSelected={value === selectedValue}>{label}</ListItem>
        </ListItemContainer>
    );
};
export default NsDropdownOption;
