/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * flag.tsx
 * @description NsFlag component with a themed background
 */

import React, { PropsWithChildren } from 'react';

import { StyledFlag } from './NsFlag.styled';

import { NsFlagProps } from './types';

const NsFlag = (props: PropsWithChildren<NsFlagProps>) => {
    const { className = '', size = 'small', color = 'accentColorA', message, testId = 'ns-flag-component' } = props;
    if (!message) {
        return null;
    }
    return (
        <StyledFlag $size={size} $bgColor={color} data-testid={testId} className={className}>
            {message}
        </StyledFlag>
    );
};

export default NsFlag;
