import type { StoryObj, Meta } from '@storybook/react';
import { CenterStoryDecorator } from '../../stories/CenterStoryDecorator';
import { NsIcon } from './';

type ComponentType = typeof NsIcon;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsIcon',
    component: NsIcon,
    decorators: [CenterStoryDecorator],
    argTypes: {
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        name: {
            control: 'select',
            options: [
                'arrowUp',
                'arrowDown',
                'cart',
                'cartBadge',
                'checkShield',
                'checkVerified',
                'error',
                'infoFilled',
                'infoOutlined',
                'search',
                'success',
                'trash',
            ],
        },
        color: {
            control: 'select',
            options: ['primary', 'secondary', 'success', 'error', 'warning', 'info'],
        },
    },
    args: {
        size: 'large',
        name: 'checkShield',
        color: 'success',
    },
} as MetaStory;

export const Icon: Story = {};
