/* eslint-disable max-len */
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon';
/**
 *
 * @param props {fill: color to be filled for icon, color: color of the tick icon}
 * @returns SuccessIcon, can be used in Input field, when input field is in success state
 */
const SuccessIcon = (props: SvgIconProps) => {
    return (
        <SvgIcon
            width="20"
            height="20"
            viewBox="0 0 20 20"
            data-testid="success-icon"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
            {...props}
        >
            <g id="Check Circle">
                <circle id="Ellipse 70" cx="10" cy="10" r="10" fill={props.fill || '#5BAC85'} />
                <g id="check 12px">
                    <g id="checkmark">
                        <path
                            id="Shape (Stroke)"
                            fillRule="evenodd"
                            clipRule="evenodd"
                            d="M15.8051 5.79289C16.1956 6.18342 16.1956 6.81658 15.8051 7.20711L8.80508 14.2071C8.61742 14.3948 8.36287 14.5001 8.09748 14.5C7.8321 14.4999 7.57765 14.3943 7.39018 14.2064L3.79218 10.6014C3.40203 10.2105 3.40265 9.57735 3.79355 9.18721C4.18445 8.79706 4.81762 8.79768 5.20776 9.18858L8.09866 12.0851L14.3909 5.79289C14.7814 5.40237 15.4146 5.40237 15.8051 5.79289Z"
                            fill={props.color || 'white'}
                        />
                    </g>
                </g>
            </g>
        </SvgIcon>
    );
};

export default SuccessIcon;
