import { NsNextImageProps } from './types';
import { NsImage } from './';
const NsNextImage = ({ src, width, height, alt, fill, priority, ...props }: NsNextImageProps) => {
    try {
        const Image = require('next/image');
        return <Image src={src} width={width} height={height} alt={alt} fill={fill} priority={priority} {...props} />;
    } catch {
        return <NsImage src={src as any} width={width as any} height={height as any} alt={alt} {...props} />;
    }
};

export default NsNextImage;
