import { getSuccessColor } from '../../utils/utils';
import { Stack } from '@mui/material';
import { styled, ColorUtils } from '@nuskin/foundation-theme';
const { getPaletteColor } = ColorUtils;

const InputFieldWrapper = styled(Stack)(({ theme }: any) => {
    return {
        display: 'flex',
        flexDirection: 'column',
        gap: '7px',
        '.MuiFormHelperText-root': {
            fontSize: '11px',
            marginTop: 0,
            color: getPaletteColor(theme, 'primary', 'main'),
            '&.success': {
                color: getSuccessColor(theme),
            },
            '&.error': {
                color: getPaletteColor(theme, 'error', 'main'),
            },
        },
    };
});

export default InputFieldWrapper;
