import { ReactNode } from 'react';
import { TextFieldProps } from '@mui/material';

export type fieldStateType = undefined | 'error' | 'success';
export type NsInputFieldProps = Omit<
    TextFieldProps,
    | 'sx'
    | 'hiddenLabel'
    | 'style'
    | 'classes'
    | 'className'
    | 'color'
    | 'error'
    | 'margin'
    | 'size'
    | 'variant'
    | 'select'
    | 'SelectProps'
> & {
    fieldState?: fieldStateType;
    iconStart?: ReactNode;
    iconEnd?: ReactNode;
    iconSide?: ReactNode;
    /** purpose of showOptional props is to show additional text 'optional' in the label,
     *  if required = false and this flag is true */
    showOptional?: boolean;
};
