import type { Meta, StoryObj } from '@storybook/react';
import { NsLabel } from '.';

type ComponentType = typeof NsLabel;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsLabel,
    title: 'Components/NsLabel',
} as MetaStory;

export const Default: Story = {
    args: {
        children: 'Label',
        required: false,
    },
};

export const Optional: Story = {
    args: {
        children: 'Label',
        showOptional: true,
    },
};

export const Required: Story = {
    args: {
        children: 'Label',
        showOptional: true,
        required: true,
    },
};
