/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsLink.stories.tsx
 * @description NsLink component.
 */

import React from 'react';
import type { StoryObj, Meta } from '@storybook/react';
import { CenterStoryDecorator } from '../../stories/CenterStoryDecorator';

import { NsLink } from './';
import { NsTypography } from '../typography';

type ComponentType = typeof NsLink;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsLink',
    component: NsLink,
    decorators: [CenterStoryDecorator],
    argTypes: {
        children: {
            control: 'text',
            name: 'Children/Content',
            defaultValue: 'Nuskin Link',
        },
        isSsr: { control: 'boolean' },
    },
    args: {
        ariaLabel: 'alt text',
        href: 'new-page',
        isSsr: false,
    },
} as MetaStory;

export const Links: Story = {
    render: (args: any) => (
        <NsTypography variant="sub-h-l">
            <NsLink {...args} href={args.href} />
        </NsTypography>
    ),
};
