/* eslint-disable @next/next/no-img-element */
import React, { PropsWithChildren } from 'react';
import { NsTypography } from '../';
import { ProductCardContainer } from './NsNavProductCard.styled';
import { NsNavProductCardProps } from './types';

export const NsNavProductCard = ({
    productImg,
    productDescription,
    productName,
    className = '',
}: PropsWithChildren<NsNavProductCardProps>) => {
    return (
        <ProductCardContainer className={className}>
            <img src={productImg} alt="product-img" />
            <div className="text-container">
                <NsTypography variant="h5" color="primary" className="mt-11 mb-3.5 underline-hover" weight="bold">
                    {productName}
                </NsTypography>
                <NsTypography variant="p-s" color="primary" weight="light">
                    {productDescription}
                </NsTypography>
            </div>
        </ProductCardContainer>
    );
};
