import { ReactNode } from 'react';
import { FoundationTheme } from '@nuskin/foundation-theme';
import { Variants } from '../typography/types';
import { AdditionalProps, ContentStackLiveTags } from '../common.types';

export type NavTabs = {
    tabName: string;
    tabContent?: ReactNode;
    activeColor: FoundationTheme.PaletteColors;
    color?: FoundationTheme.PaletteColors;
    textVariant: Variants;
    liveTag?: ContentStackLiveTags;
};

export type NSNavTabComponentProps = {
    tabs: NavTabs[];
    className?: string;
    tabTitleClassName?: string;
    showDrawer?: boolean;
} & AdditionalProps;
